libdbix-searchbuilder-perl (1.81-1) unstable; urgency=medium

  * Import upstream version 1.81.
  * Update years of upstream and packaging copyright.
  * Add llibdbd-mariadb-perl as an alternative runtime dependency.

 -- gregor herrmann <gregoa@debian.org>  Sat, 27 Jan 2024 17:24:59 +0100

libdbix-searchbuilder-perl (1.80-1) unstable; urgency=medium

  * Import upstream version 1.80.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Dec 2023 18:50:55 +0100

libdbix-searchbuilder-perl (1.79-1) unstable; urgency=medium

  * Import upstream version 1.79.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Nov 2023 21:27:02 +0100

libdbix-searchbuilder-perl (1.78-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 21 Sep 2023 23:56:41 +1200

libdbix-searchbuilder-perl (1.76-1) unstable; urgency=medium

  * Import upstream version 1.76.
  * Update years of upstream and packaging copyright.
    And adjust third- party copyrights.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Apr 2023 21:55:22 +0200

libdbix-searchbuilder-perl (1.74-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.74.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Jan 2023 01:42:07 +0100

libdbix-searchbuilder-perl (1.71-2) unstable; urgency=medium

  * Remove alternative runtime dependency on libdbd-sqlite2-perl.
    Cf. #998351

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Nov 2021 16:36:53 +0100

libdbix-searchbuilder-perl (1.71-1) unstable; urgency=medium

  * Import upstream version 1.71.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Sep 2021 17:26:07 +0200

libdbix-searchbuilder-perl (1.69-1) unstable; urgency=medium

  * Import upstream version 1.69.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Jan 2021 01:27:52 +0100

libdbix-searchbuilder-perl (1.68-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Import upstream version 1.68.
  * Update years of packaging copyright.
  * Drop 01-spelling-error-in-manpage.patch, applied upstream.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Jul 2020 20:06:46 +0200

libdbix-searchbuilder-perl (1.67-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Nick Morrott ]
  * Import upstream version 1.67
  * Declare compliance with Debian Policy 3.9.8
  * Bump debhelper compatibility to version 9
  * Add Testsuite header to make package autopkgtest-able
  * Add 01-spelling-error-in-manpage.patch
  * Refresh copyright, adding Berne Convention where necessary
  * Add debian/upstream/metadata
  * Refresh runtime dependencies
  * Add d/t/p/syntax-skip

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 07 Aug 2016 02:25:51 +0100

libdbix-searchbuilder-perl (1.66-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Dominic Hargreaves ]
  * New upstream release
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 11 Sep 2014 22:39:32 +0100

libdbix-searchbuilder-perl (1.65-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.4.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Sep 2013 23:52:16 +0200

libdbix-searchbuilder-perl (1.62-1) unstable; urgency=low

  * New upstream release.
  * Drop fix-pod-spelling.patch, merged upstream.
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump copyright years for inc/Module/* and debian/*.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Set debhelper compatibility level to 8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Apr 2012 14:32:17 +0200

libdbix-searchbuilder-perl (1.61-1) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * New upstream release.
  * debian/copyright: Update years of copyright for inc/Module/*.
  * Refresh patch fix-pod-spelling.patch.
  * debian/control: Convert Vcs-* fields to Git.
  * Bumped Standards-Version to 3.9.2.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 21 Sep 2011 19:09:54 +0200

libdbix-searchbuilder-perl (1.59-2) unstable; urgency=low

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 06 Feb 2011 15:12:51 +0000

libdbix-searchbuilder-perl (1.59-1) experimental; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Use new 3.0 (quilt) source format
  * Standards-Version 3.9.1 (no changes)
  * Drop version dependencies satisfied by oldstable
  * Refresh copyright information
  * Add a patch to fix POD spelling

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ Dominic Hargreaves ]
  * Add myself to Uploaders

 -- Dominic Hargreaves <dom@earth.li>  Thu, 06 Jan 2011 22:30:09 +0000

libdbix-searchbuilder-perl (1.56-1) unstable; urgency=low

  * New upstream release
    + No longer use LOWER/ILIKE with dates (Closes: #537117)
    + Do not apply DISTINCT with group by queries
  * Module::Install upgraded (remove PERL5_CPANPLUS_IS_RUNNING=1 during build)
  * Changed to new shorter rules format
  * Standards-Version 3.8.2

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

 -- Jonathan Yu <frequency@cpan.org>  Fri, 17 Jul 2009 08:12:37 -0400

libdbix-searchbuilder-perl (1.55-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Add .examples -> ex/*
  * Added copyright stanzas for each file, upgraded to machine-readable format
    -> I just sort of made up an "Upstream-Authors" field, not sure if this is
       appropriate; however they haven't asserted copyright, just authorship
    -> Got copyright years/etc for debian/* from changelog
  * Updated description. Added reference to DBIx::Class and Rose::DB::Object.
  * Added /me to Uploaders

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * Set Standards-Version to 3.8.1 (no changes).
  * debian/rules: set PERL5_CPANPLUS_IS_RUNNING=1 to work around the bug in
    the shipped Module::Install 0.85.

 -- Jonathan Yu <frequency@cpan.org>  Tue, 19 May 2009 14:22:29 -0400

libdbix-searchbuilder-perl (1.54-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: add stanza for files under inc/.
  * debian/control: change my email address.
  * Set Standards-Version to 3.8.0 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 Jul 2008 20:14:18 +0200

libdbix-searchbuilder-perl (1.53-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 02 Apr 2008 17:52:00 +0200

libdbix-searchbuilder-perl (1.52-1) unstable; urgency=low

  * New upstream release.
  * debian/control: wrap long line.
  * Refresh debian/rules, no functional changes.
  * debian/copyright: add upstream source location and stanza for the files
    under debian/.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 01 Apr 2008 17:09:15 +0200

libdbix-searchbuilder-perl (1.51-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/watch: improve regexp for matching upstream tarball.
  * Set Standards-Version to 3.7.3 (no changes needed).
  * Set debhelper compatibility level to 6.
  * debian/rules:
    - remove *VENDORARCH* variables from configure-stamp target
    - verbosely and conditionally remove empty /usr/lib/perl5
    - install examples

 -- Roberto C. Sanchez <roberto@debian.org>  Mon, 21 Jan 2008 14:00:27 -0500

libdbix-searchbuilder-perl (1.50-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

  [ Niko Tyni ]
  * New upstream release.
  * Minor improvements and cleanups to debian/rules.
  * Update debian/copyright and convert it into a machine-parseable format.
  * Wrap overlong debian/control dependency lines.
  * Remove obsolete build-dependency on libextutils-autoinstall-perl.
  * Update debian/watch.

  [ Damyan Ivanov ]
  * Remove unused dh_installdirs and dh_installman calls

 -- Niko Tyni <ntyni@iki.fi>  Wed, 28 Nov 2007 21:15:08 +0200

libdbix-searchbuilder-perl (1.49-1) unstable; urgency=low

  * New upstream release.
  * Add XS-Vcs-Svn field to debian/control.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 14 Jul 2007 22:42:00 +0200

libdbix-searchbuilder-perl (1.48-1) unstable; urgency=low

  * New upstream release.
  * Add build-dependency on libtest-pod-perl, for test coverage.
  * Upgrade to debhelper compatibility level 5.
  * Update watch file.

 -- Niko Tyni <ntyni@iki.fi>  Tue, 22 May 2007 22:59:59 +0300

libdbix-searchbuilder-perl (1.45-2) unstable; urgency=low

  * New maintainer.
  * Never autoinstall CPAN packages at build time. (Closes: #399375)

 -- Niko Tyni <ntyni@iki.fi>  Mon,  4 Dec 2006 22:43:34 +0200

libdbix-searchbuilder-perl (1.45-1) unstable; urgency=low

  * New upstream release - PostgreSQL fixes
  * debian/control - Moved debhelper to Build-Depends

 -- Stephen Quinney <sjq@debian.org>  Fri, 13 Oct 2006 20:48:37 +0100

libdbix-searchbuilder-perl (1.43-1) unstable; urgency=low

  * New upstream release

 -- Stephen Quinney <sjq@debian.org>  Sun, 16 Apr 2006 17:12:57 +0100

libdbix-searchbuilder-perl (1.39-1) unstable; urgency=low

  * New upstream release
  * Added some build dependencies and enabled tests

 -- Stephen Quinney <sjq@debian.org>  Thu, 23 Feb 2006 21:15:48 +0000

libdbix-searchbuilder-perl (1.38-1) unstable; urgency=low

  * New upstream release - in particular fixes some problems with
    Postgresql 8, closes: #345254.
  * New dependency on libclone-perl.

 -- Stephen Quinney <sjq@debian.org>  Mon,  2 Jan 2006 09:22:02 +0000

libdbix-searchbuilder-perl (1.33-1) unstable; urgency=low

  * New upstream release

 -- Stephen Quinney <sjq@debian.org>  Thu, 22 Sep 2005 21:40:08 +0100

libdbix-searchbuilder-perl (1.32-1) unstable; urgency=low

  * New upstream release - lots of reworking, see upstream changelog file
    for full details.
  * New build-dependency libextutils-autoinstall-perl (>= 0.49)
  * New dependencies on libclass-accessor-perl and libdbix-dbschema-perl.
  * Updated minimum dependencies on libclass-returnvalue-perl (>= 0.40)
    and libcache-simple-timedexpiry-perl (>= 0.21).
  * Switched to my debian.org email address.

 -- Stephen Quinney <sjq@debian.org>  Fri,  2 Sep 2005 11:41:03 +0100

libdbix-searchbuilder-perl (1.27-1) unstable; urgency=low

  * New upstream release

 -- Stephen Quinney <sjq@debian.org>  Sat, 11 Jun 2005 11:16:15 +0100

libdbix-searchbuilder-perl (1.26-1) unstable; urgency=low

  * New upstream release

 -- Stephen Quinney <sjq@debian.org>  Mon, 18 Apr 2005 08:49:48 +0100

libdbix-searchbuilder-perl (1.25-1) unstable; urgency=high

  * New upstream release - backed out change from 1.23 which caused
    Postgres support to fail badly.

 -- Stephen Quinney <sjq@debian.org>  Sun, 10 Apr 2005 18:52:53 +0100

libdbix-searchbuilder-perl (1.24-1) unstable; urgency=high

  * New upstream release
  * Urgency high as the previous package will not build in Sarge.
  * Give up on the tests for now as they don't add much and they just
    cause unnecessary build problems.

 -- Stephen Quinney <sjq@debian.org>  Thu,  7 Apr 2005 09:08:06 +0100

libdbix-searchbuilder-perl (1.22-2) unstable; urgency=high

  * Fixed Depends and Build-Depends so that they handle the new
    libdbd-sqlite2-perl/libdbd-sqlite3-perl packages properly
  * Urgency is high so we can sort out this DBD::SQLite mess in Sarge.

 -- Stephen Quinney <sjq@debian.org>  Mon,  4 Apr 2005 20:12:13 +0100

libdbix-searchbuilder-perl (1.22-1) unstable; urgency=low

  * New upstream release

 -- Stephen Quinney <sjq@debian.org>  Tue, 25 Jan 2005 09:41:33 +0000

libdbix-searchbuilder-perl (1.19-1) unstable; urgency=low

  * New upstream release

 -- Stephen Quinney <sjq@debian.org>  Sun,  9 Jan 2005 14:27:15 +0000

libdbix-searchbuilder-perl (1.18-1) unstable; urgency=low

  * New upstream release - more fixes.

 -- Stephen Quinney <sjq@debian.org>  Fri,  7 Jan 2005 09:53:28 +0000

libdbix-searchbuilder-perl (1.16-1) unstable; urgency=low

  * New upstream release - bug fix.

 -- Stephen Quinney <sjq@debian.org>  Wed, 15 Dec 2004 10:34:32 +0000

libdbix-searchbuilder-perl (1.15-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    * Slightly updated description.
    * Added more alternate libdbd-*-perl packages into the Depends so that
      people do not have to install the PostgreSQL or mysql drivers if they
      are not required.
    * Added a build-dependency on libdbd-sqlite-perl for the new tests.
  * debian/rules: Some more tidying and improvements.

 -- Stephen Quinney <sjq@debian.org>  Tue, 30 Nov 2004 10:22:52 +0000

libdbix-searchbuilder-perl (1.12-1) unstable; urgency=low

  * New upstream release
  * debian/watch - Added file.
  * debian/rules:
    * Use dh_installman instead of dh_installmanpages
    * Commented out a few unused dh_* commands
    * Also do 'make test'
    * Only attempt to 'make distclean' if there is a Makefile

 -- Stephen Quinney <sjq@debian.org>  Sun, 24 Oct 2004 12:07:04 +0100

libdbix-searchbuilder-perl (1.11-1) unstable; urgency=low

  * New upstream release:
    * Depend on libcache-simple-timedexpiry-perl
  * New maintainer. Thanks Ivan for your responsive packaging.
  * New co-maintainer (Stephen Quinney).

 -- Andrew Stribblehill <ads@debian.org>  Thu, 14 Oct 2004 10:32:51 +0100

libdbix-searchbuilder-perl (1.01-1) unstable; urgency=low

  * New upstream release:
    * Patch from 0.97-2 rolled in upstream
    * Depend on libwant-perl

 -- Andrew Stribblehill <ads@debian.org>  Mon, 19 Jul 2004 10:06:32 +0100

libdbix-searchbuilder-perl (0.97-2) unstable; urgency=low

  * Add a patch from Jesse: https://rt.cpan.org/NoAuth/Bug.html?id=5324 . It
    should fix some cache problems.

 -- Andrew Stribblehill <ads@debian.org>  Fri, 20 Feb 2004 16:29:49 +0000

libdbix-searchbuilder-perl (0.97-1) unstable; urgency=low

  * New upstream release. Closes: Bug#233194.
  * I'm now a co-maintainer.
  * Remove empty /usr/lib/perl5 directory.
  * Bump to new standards version 3.6.1.0.

 -- Andrew Stribblehill <ads@debian.org>  Wed, 18 Feb 2004 10:54:58 +0000

libdbix-searchbuilder-perl (0.96-0.1) unstable; urgency=low

  * NMU. Thanks for the blessing, Ivan :)
  * New upstream release. Closes: Bug#226971.

 -- Andrew Stribblehill <ads@debian.org>  Thu,  8 Jan 2004 11:25:59 +0000

libdbix-searchbuilder-perl (0.94-1) unstable; urgency=low

  * New upstream version (closes: Bug#221432)

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 18 Nov 2003 05:32:49 -0800

libdbix-searchbuilder-perl (0.92-2) unstable; urgency=low

  * Rebuild to fix incorrect Build-Depends-Indep: line in .dsc file generated
    by dpkg-dev 1.10.11 (closes: Bug#212062)

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 21 Sep 2003 16:39:26 -0700

libdbix-searchbuilder-perl (0.92-1) unstable; urgency=low

  * New upstream version (closes: Bug#211163)
  * Update depends for debhelper 4
  * Use Build-Depends-Indep instead of Build-Depends (closes: Bug#208850)

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 17 Sep 2003 05:24:27 -0700

libdbix-searchbuilder-perl (0.86-1) unstable; urgency=low

  * new upstream version (closes: Bug#196878)

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 10 Jun 2003 05:39:40 -0700

libdbix-searchbuilder-perl (0.80-1) unstable; urgency=low

  * new upstream version (closes: Bug#190168)

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 22 Apr 2003 11:08:57 -0700

libdbix-searchbuilder-perl (0.79-1) unstable; urgency=low

  * new upstream version (closes: Bug#175285)

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 29 Jan 2003 19:34:35 -0800

libdbix-searchbuilder-perl (0.61-1) unstable; urgency=low

  * new upstream version (closes: Bug#158784)
  * debian/copyright pedantry (closes: Bug#153332, Bug#153374)
  * build binary-indep, not binary-arch (closes: Bug#153351)

 -- Ivan Kohler <ivan-debian@420.am>  Thu, 29 Aug 2002 20:20:38 -0700

libdbix-searchbuilder-perl (0.48-1) unstable; urgency=low

  * new upstream version (closes: Bug#132653)

 -- Ivan Kohler <ivan-debian@420.am>  Wed,  6 Feb 2002 14:23:19 -0800

libdbix-searchbuilder-perl (0.47-1) unstable; urgency=low

  * new upstream version (closes: Bug#121175)

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 26 Nov 2001 19:17:48 -0800

libdbix-searchbuilder-perl (0.43-1) unstable; urgency=low

  * new upstream version

 -- Ivan Kohler <ivan-debian@420.am>  Thu, 27 Sep 2001 20:34:08 -0700

libdbix-searchbuilder-perl (0.41-2) unstable; urgency=low

  * copyright statement from Jesse

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 13 Aug 2001 17:35:36 -0700

libdbix-searchbuilder-perl (0.41-1) unstable; urgency=low

  * Initial Release (closes: Bug#107122)

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 12 Aug 2001 02:42:03 -0700
